<!-- _partials/default.blade.php -->
<div class="mainContainer">
    <div class="window imageBox">
        <div class="title-bar">
            <span class="title-bar-text">ImageViewer.exe</span>
            <div class="title-bar-controls">
                <button aria-label="Minimize"></button>
                <button aria-label="Restore"></button>
                <button aria-label="Close"></button>
            </div>
        </div>
        <div class="window-body">
            <img src="{{ 'assets/images/' . $page->imageName }}">
        </div>
    </div>
    <div class="window linkBox">
        <div class="title-bar">
            <span class="title-bar-text">{{$page->author}}.exe</span>
            <div class="title-bar-controls">
                <button aria-label="Minimize"></button>
                <button aria-label="Restore"></button>
                <button aria-label="Close"></button>
            </div>
        </div>
        <div class="window-body">
            <p>Here you can find all my awesome links:</p>
            <div>
                <div class="field-row-stacked alignMiddle">
                    @foreach ($page->links as $link)
                    @if (isset($link['text']) && isset($link['color']))
                    <a href="{{$link->link}}" class="{{strtolower($link->color)}}"><button>{{ ucwords($link->text) }}</button></a>
                    @elseif (!isset($link['text']) && isset($link['color']))
                    <a href="{{$link->link}}" class="{{strtolower($link->color)}}"><button>{{ ucwords($link->platform) }}</button></a>
                    @elseif (isset($link['text']) && !isset($link['color']))
                    <a href="{{$link->link}}"><button>{{ ucwords($link->text) }}</button></a>
                    @else
                    <a href="{{$link->link}}"><button>{{ ucwords($link->platform) }}</button></a>
                    @endif
                    @endforeach
                </div>
            </div>
        </div>
    </div>
</div>