# SocialTree

*A simple way to show your links*

---

This is a very simple static site generator for listing the links for your
social media channels.

## Sounds great but how do I use it?

It's very simple, follow these steps.
1. Install PHP and Node.js
2. Download the Project as zip or clone it
3. Run `composer install` and `npm install`
4. Edit the `config.php` file:
   - The `author` is the displayed name
   - The `imageName` should be the file name of the image you are using, the
   file itself should be placed in `source/assets/images`
   - The `design` refers to the style of your page the currently available styles are:
     - [main](examples/images/main.png)
     - [blurywhite](examples/images/blurywhite.png)
     - [98](examples/images/98.png) (CSS taken from [jdan/95.css](https://github.com/jdan/98.css))
   - List as much links as you like in the `links` array:
     - With the `platform` property you can give the link the color of the social
     media plaform of your choice, but this feature is optional, the link will
     be displayed in the themes color if unset. This is currently only supported by themes which dont look ugly with that:
       - blurywhite
     - The currently supported platforms are:
       - YouTube, Pinterest, Twitter, TikTok, Telegram, Linkedin, Mastodon, Tumblr,
       Discord, Twitch, Instagram, Flickr, Deviantart, Spotify, Snapchat, Reddit,
       Soundcloud, VK, Steam
     - You can give the link a different text if you want with the `text` property. It displays the platform set in the `platform` property normaly, but with that propery you can overwrite that.
     - If you don't want a platform color for a theme wich supports it. simply unset the `platform` property, but then you have to set the `text` property to get the link displayed.
     - Place the link in the `link` property, this property is needed.
5. Compile the page with the command: `npm run prod`
6. Copy the `build_production` directory to your webserver.

---

# TODO

- More themes

--- 

example.jpg by Yaka Bagus from Pexels:

https://www.pexels.com/photo/woman-in-costume-holding-a-swim-ring-while-standing-on-wooden-dock-9692281/
