<!DOCTYPE html>
<html lang="{{ $page->language ?? 'en' }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="canonical" href="{{ $page->getUrl() }}">
        <meta name="description" content="{{ $page->description }}">
        <title>{{ $page->author . " | " . $page->title }}</title>
        @if ($page->design == '98')
        <link rel="stylesheet" href="https://unpkg.com/98.css" />
        @endif
        <link rel="stylesheet" href="{{ mix('css/'. $page->design. '.css', 'assets/build') }}">
    </head>
    <body>
        @yield('body')
    </body>
</html>
